## org.omg.CORBA
Class ValueFactoryHolder

    java.lang.Object
      |
      +--org.omg.CORBA.ValueFactoryHolder

All Implemented Interfaces:
  Streamable

public final class ValueFactoryHolder
extends java.lang.Object
implements Streamable

Holder class for : ValueFactory

Author:
  OpenORB Compiler

Field Summary
`ValueFactory` `value` Internal ValueFactory value

Constructor Summary
`ValueFactoryHolder()` Default constructor
`ValueFactoryHolder(ValueFactory initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read ValueFactory from a marshalled stream
`TypeCode` `_type()` Return the ValueFactory TypeCode
`void` `_write(OutputStream ostream)` Write ValueFactory into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public ValueFactory value

  Internal ValueFactory value

Constructor Detail

### ValueFactoryHolder

    public ValueFactoryHolder()

  Default constructor

### ValueFactoryHolder

    public ValueFactoryHolder(ValueFactory initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read ValueFactory from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write ValueFactory into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the ValueFactory TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode